<?php


class Encuesta
{
    private $configuracionBD;
    private $conexionBD;
    public $query;

    function __construct()
    {
        $this->configuracionBD = new ConfiguracionBD();
        $this->conexionBD = $this->configuracionBD->getConexionLocal();
    }

    function consultarEncuestas($encuestaId)
    {
        try
        {
            $this->query="SELECT ENC.id AS encuestaId, 
            ENC.tablabd AS tablaBd, 
            ENC.nombre AS nombre, 
            ENC.preguntas AS preguntas, 
            ENC.valorpregunta AS valorPregunta,
            ENC.calificacioncurso AS calificacionCurso,
            ENC.status AS 'status'
            FROM 
            tiempoma_encuestas1.encuestas ENC
            WHERE 1=1 AND ENC.id=".$encuestaId;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            if($resultadoConsulta->num_rows>0)
            {
                $rowConsulta = $resultadoConsulta->fetch_object();
                return $rowConsulta;
            }
            else
                return null;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }

    function consultarPreguntasEncuestas($encuestaId,$seccion=0)
    {
        try
        {
            $this->query="SELECT PE.id AS preguntaEncuestaId, 
            PE.encuestaid AS encuestaId, 
            PE.pregunta AS pregunta, 
            PE.orden AS orden, 
            PE.seccion AS seccion, 
            PE.valor AS valor, 
            PE.categoria AS categoria, 
            PE.status AS 'status' 
            FROM 
            tiempoma_encuestas1.preguntasencuestas PE
            WHERE 1=1
            AND PE.encuestaid=".$encuestaId;
            if($seccion>0)
                $this->query.=" AND PE.seccion=".$seccion;
            $resultadoConsulta = $this->conexionBD->query($this->query);
            return $resultadoConsulta;
        }
        catch (Exception $e)
        {
            throw $e;
        }
    }
}